#include <stdio.h>
#include "ff.h"
#include "Ev_Board_conf.h"

void setup( void );
void loop( void );
extern void Disk_Timer_Handler (void);

int main( void )
{
#ifdef RASPI_PICO
    stdio_init_all();
    getchar_timeout_us(100); // leave gabage
    SET_HARD_FAULT_HANDLER();
    MMC_CD_INIT();
    Ev_Board_Timer_init(Disk_Timer_Handler);
    if ( (*((unsigned long*)0x4005c00c) & 0x02) == 0 )
        set_rtc("2021/04/01 00:00:00");
    printf("\x1b[0;0H\x1b[2J\r\n");
#endif
    printf( "Starting up TinyBasic Plus...\n\n" );

    setup();
    loop();
    printf("Program Done!\n");
#ifdef RASPI_PICO
    PWM4_CNTL(0);    // Stop PWM
    GPIO_CTL25(5);   // GPIO25 = SIO Mode
    SIO_GPIO_OE(25); // GPIO25 = OUTPUT
#endif
    for( ; ; ) { ; }
}
